%global archivename ldacBT
%global sonamebase 2

Name:           libldac
Version:        %{sonamebase}.0.2.3
Release:        3
Summary:        A lossy audio codec for Bluetooth connections
License:        Apache-2.0
URL:            https://github.com/EHfive/ldacBT
Source0:        https://github.com/EHfive/ldacBT/releases/download/v%{version}/%{archivename}-%{version}.tar.gz

# Upstream source throws error in a big-endian arch, see #1677491
ExcludeArch:    s390x

BuildRequires:  cmake3
BuildRequires:  gcc

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description
LDAC is an audio coding technology developed by Sony.
It enables the transmission of High-Resolution Audio content,
even over a Bluetooth connection.

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n %{archivename}

%build
%cmake3 \
    -DLDAC_SOFT_FLOAT=OFF \
    -DINSTALL_LIBDIR=%{_libdir} \
    -B build_%{name}

%make_build -C build_%{name}

%install
%make_install -C build_%{name}

%ldconfig_scriptlets

%files
%license LICENSE
%{_libdir}/libldacBT_abr.so.%{sonamebase}
%{_libdir}/libldacBT_abr.so.%{sonamebase}.*
%{_libdir}/libldacBT_enc.so.%{sonamebase}
%{_libdir}/libldacBT_enc.so.%{sonamebase}.*
%{_libdir}/libldacBT_abr.so
%{_libdir}/libldacBT_enc.so

%files devel
%dir %{_includedir}/ldac
%{_includedir}/ldac/ldacBT_abr.h
%{_includedir}/ldac/ldacBT.h
%{_libdir}/pkgconfig/ldacBT-abr.pc
%{_libdir}/pkgconfig/ldacBT-enc.pc

%changelog
* Tue Aug 02 2022 liukuo <liukuo@kylinos.cn> - 2.0.2.3-3
- License compliance rectification

* Mon Jun 20 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 2.0.2.3-2
- add libldac.yaml

* Mon May 31 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 2.0.2.3-1
- Package init with 2.0.2.3
